/*
//	Define variables for light and dark modes.
*/

[data-theme='dark'] {
  --selected-button-bg: white;
  --selected-small-button-bg: white;
  --non-selected-button-bg: transparent;
  --selected-button-color: black;
  --non-selected-button-color: white;
  --non-selected-button-color-alternative: white;
  --non-selected-button-border-color: white;
  --disabled-text-colour: #909090;
  --selected-button-number-text-colour: darkblue;
  --non-selected-button-number-text-colour: yellow;
  --dropdown-button-bg: #e70068;
  --light-image-display: none;
  --dark-image-display: inline;
}

[data-theme='light'] {
  --selected-button-bg: #e70068;
  --selected-small-button-bg: darkblue;
  --non-selected-button-bg: transparent;
  --selected-button-color: white;
  --non-selected-button-color: black;
  --non-selected-button-color-alternative: darkblue;
  --non-selected-button-border-color: darkblue;
  --disabled-text-colour: #a0a0a0;
  --selected-button-number-text-colour: yellow;
  --non-selected-button-number-text-colour: darkblue;
  --table-navigation-highlight-color: grey;
  --dropdown-button-bg: #e70068;
  --light-image-display: inline;
  --dark-image-display: none;
}

/* containers for the buttons on the tool bar */
.button,
.button-with-icon {
  font-family: 'Noto Sans', Verdana, Geneva, Tahoma, sans-serif;
  width: 120px;
  height: 40px;
  background-color: #e70068;
  color: white;
  border: none;
  cursor: pointer;
  font-size: 11pt;
  padding: 0px 1px 0px 1px;
}

.button-with-icon {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.image[data-type='dark'] {
  display: var(--dark-image-display);
}
.image[data-type='light'] {
  display: var(--light-image-display);
}

.button[data-type='STATUS_ACTIVE'],
.button-with-icon[data-type='STATUS_ACTIVE'] {
  cursor: default;
  height: 30px;
}

.button[data-type='STATUS_INACTIVE'],
.button-with-icon[data-type='STATUS_INACTIVE'] {
  cursor: default;
  height: 30px;
}

.button[data-width='WIDE'],
.button-with-icon[data-width='WIDE'] {
  width: 220px;
}

.button[data-width='NARROW'],
.button-with-icon[data-width='NARROW'] {
  width: 100px;
}

.button[data-colour='BLUE'],
.button-with-icon[data-colour='BLUE'] {
  background-color: #252858;
}

.button[data-colour='RED'],
.button-with-icon[data-colour='RED'] {
  background-color: #a00000;
}

.button[data-colour='GREEN'],
.button-with-icon[data-colour='GREEN'] {
  background-color: #1e901f;
}

.button[data-colour='AMBER'],
.button-with-icon[data-colour='AMBER'] {
  background-color: #ff8f05;
}

.button[data-colour='NONE'],
.button-with-icon[data-colour='NONE'] {
  background-color: transparent;
}

.button[data-disabled='T'][data-colour='PINK'] {
  color: #780036;
}

.button[data-disabled='T'][data-colour='BLUE'] {
  color: #454980;
}

.button-tabbed-container,
.button-small-container,
.button-wide-container {
  height: 100%;
  flex: 0 0;
  display: flex;
  margin: 0px 0px 0px 0px;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  background-color: transparent;
}

.button-tabbed-container,
.button-small-container,
.button-wide-container {
  float: left;
}

.button-small-container[data-empty='T'] {
  flex: 1 1;
}

.button-small-container[data-dropdown='T'] {
  position: relative;
}

/* toolbar buttons */

.button-tabbed,
.button-small,
.button-wide {
  display: flex;
  flex-direction: row;
  align-items: center;
  align-items: center;
  justify-content: center;
}

.button-small[data-selected='T'],
.button-wide[data-selected='T'] {
  background-color: var(--selected-small-button-bg);
  color: var(--selected-button-color);
  cursor: pointer;
}

.button-tabbed[data-selected='F'] {
  background-color: var(--non-selected-button-bg);
  color: var(--non-selected-button-color);
  opacity: 0.8;
  cursor: pointer;
}

.button-tabbed[data-selected='F']:hover {
  opacity: 1;
}

.button-small[data-selected='F'],
.button-wide[data-selected='F'] {
  background-color: var(--non-selected-button-bg);
  color: var(--non-selected-button-color-alternative);
}

.button-tabbed[data-selected='T'] {
  background-color: var(--selected-button-bg);
  color: var(--selected-button-color);
  cursor: pointer;
}

.button-tabbed,
.button-small[data-selected='T'],
.button-wide[data-selected='T'] {
  border: none;
}

.button-small[data-selected='F'],
.button-wide[data-selected='F'] {
  border: 1px solid var(--non-selected-button-border-color);
  background-color: var(--non-selected-button-bg);
}

.button-wide[data-right='F'],
.button-small[data-right='F'] {
  border-right: none;
}

.button-small[data-colour='T'] {
  background-color: var(--dropdown-button-bg);
}

.button-tabbed {
  padding: 0 10px;
  margin: auto 10px;
  text-wrap: nowrap;
}

.button-small {
  width: 131px;
  height: 30px;
}

.button-small[data-empty='T'] {
  width: 100%;
  height: 30px;
}

.button-wide {
  width: 262px;
  height: 30px;
}

.button-wide[data-left='F'][data-right='T'],
.button-small[data-left='F'][data-right='T'] {
  border-radius: 0px 10px 10px 0px;
}

.button-wide[data-left='T'][data-right='F'],
.button-small[data-left='T'][data-right='F'] {
  border-radius: 10px 0px 0px 10px;
}

.button-wide[data-left='T'][data-right='T'],
.button-small[data-left='T'][data-right='T'] {
  border-radius: 10px;
}

.tool-icon-container {
  float: left;
  height: 22px;
  margin-left: 5px;
  align-items: center;
  display: none; /* Temporary disabled icons for cleaner and less clutter look */
}

.button-icon-container {
  float: left;
  height: 30px;
  margin-left: 2px;
  align-items: center;
}

.button-close-icon-container {
  align-items: center;
  background-color: transparent;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.button-close {
  display: flex;
  flex-direction: row;
  align-items: center;
  background-color: transparent;
  border-width: 0px;
}

.button-number-container {
  margin-right: 10px;
  flex: 0 0 auto;
}

.button-number-container[data-selected='T'] {
  color: var(--selected-button-number-text-colour);
}

.button-number-container[data-selected='F'] {
  color: var(--non-selected-button-number-text-colour);
}

/*
//	Button text containers are DIV elements in the buttons that contain the text part of the
//	button. Buttons might also contain an icon (only tool.tsx), a number (tool-with-number.tsx) and a close button (tool-small.tsx).
*/

.button-text-container {
  height: 30px;
  display: flex;
  flex: 1 1;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

.button-text-container[data-disabled='T'] {
  color: var(--disabled-text-colour);
  cursor: default;
}
.button-text-container[data-disabled='T']:hover {
  opacity: 0.8;
}

.button-text-container[data-empty='T'] {
  background-color: transparent; /*var( --dropdown-button-bg );*/
}

.button-text-container[data-display-dropdown='F'] {
  display: none;
}

.button-text-container[data-align='L'] {
  text-align: left;
  justify-content: left;
  margin: 0px 0px 0px 4px;
}

.table-navigation-node-holder {
  display: flex;
  flex-direction: row;
}

.button-navigation-node {
  margin: 0px 0px 0px 20px;
  border-radius: 5px;
  align-items: center;
  color: var(--non-selected-button-color-alternative);
  background-color: transparent;
  border: none;
}

.button-navigation-node:hover {
  border: 2pt solid grey;
}

.table-navigation-separator {
  margin: 0px 0px 0px 10px;
  font-size: 15pt;
}
